import java.util.Random;

/**
 * Die Klasse Wuerfel stellt die Fuehigkeiten eines Wuerfels bereit. Beim Wuerfeln werden
 * Zufallszahlen zwischen 1 und 6 erzeugt. Das Ergebnis des letzten Wurfs kann abgefragt
 * werden.
 *
 * @version 1.0 vom 19.06.2012
 * @author Thomas Schaller
 */

public class Wuerfel {

    // Anfang Attribute
    // Speichert den aktuellen Wurf
    private int wurf;
    // Stellt ein Random-Objekt fuer die Erzeugung der Zufallszahlen bereit
    private Random zufallszahlen = new Random();
    // Ende Attribute

    /** Erzeugt einen Wuerfeln.
     */
    public Wuerfel() {;
        // Am Anfang sofort eine Zufallszahl erzeugen
        wuerfeln();
    }

    // Anfang Methoden
    /** Liefert die Augenzahl des letzten Wuerfelwurfs.
     * @return Augenzahl
     */
    public int getWurf() {
        return wurf;
    }

    /** Der Wuerfel wird geworfen. Dazu wird eine neue Zufallszahl zwischen 1 und 6 erzeugt.
     */
    public void wuerfeln() {
        wurf = zufallszahlen.nextInt(6)+1;
    }

    // Ende Methoden
} // end of Wuerfel
